var dataTrace = [ 
					[ 0, 0, ]
				];
var dataDisp  = [ 
					[ 0, 0, ]
				];
var buffer = "";
var scope;
var dataIndex = 0.00;
var val = 1;
function initialize()
{
	var mapProp = {
		center:{lat : 12.9670459, lng : 77.6142883},
		zoom:14,
		mapTypeId:google.maps.MapTypeId.ROADMAP,
		streetViewControl:false,
		mapTypeControl:false
	};

	window.map=new google.maps.Map(document.getElementById("googleMap"),mapProp);

	var marker=new google.maps.Marker({
		position:{lat : 12.9670459, lng : 77.6142883}
		//animation:google.maps.Animation.BOUNCE,
		//label:"test label",
		//title:"gskjgfjsgd"
	});

	var marker1=new google.maps.Marker({
		position:{lat : 12.9775845, lng : 77.6097822}
	});

	var marker2=new google.maps.Marker({
		position:{lat : 12.9755354, lng : 77.6072717}
	});

	marker.setMap(map);
	google.maps.event.addListener(marker,'click',function(){
		//map.setZoom(9);
		//map.setCenter(marker.getPosition());
		(new google.maps.InfoWindow({content:"Panel1"})).open(map,marker);
		refreshGraphDiv('area1/panel1');
	});
	google.maps.event.addListener(marker1,'click',function(){
		//map.setZoom(9);
		//map.setCenter(marker.getPosition());
		(new google.maps.InfoWindow({content:"Panel2"})).open(map,marker);
		refreshGraphDiv('area1/panel2');
	});
	google.maps.event.addListener(marker2,'click',function(){
		//map.setZoom(9);
		//map.setCenter(marker.getPosition());
		(new google.maps.InfoWindow({content:"Panel3"})).open(map,marker);
		refreshGraphDiv('area1/panel3');
	});
	marker1.setMap(map);
	marker2.setMap(map);
}

google.maps.event.addDomListener(window, 'load', initialize);

function refreshGraphDiv(panelId){
	$('[name="panelId"]').val(panelId);
	var panelBuf = panelId.split("/");
	initGraph(panelBuf[1]);
}
var scope;
var prevPanelCode;
function initGraph(panelCode) {
	scope = new Dygraph(
	document.getElementById( "plotGraph" ),
		dataDisp,
			{
				visibility : [true],
				valueRange : [ 0.0, 5.0 ],
				drawAxesAtZero : true,
                labels : [ "time", "Panel Voltage"],
                title : panelCode
				}
			);
}
function getAjaxResponse(){
	var panelId = window.parent.document.getElementsByName("panelId")[0].value;
	if(panelId != null){
		$.ajax({
			url: 'getPanelData?panelId='+panelId,
			cache : false,
			success: function(data) {
				buffer = data.split(",");
				for(var i = 0; i < buffer.length; i++){
					console.log("data :" + buffer[i]);
				}
				if(prevPanelCode == null || (prevPanelCode != null && prevPanelCode != panelId)){
					prevPanelCode = panelId;
					dataDisp = [[,]];
					dataDisp[0] = [ dataIndex, buffer[1] ];
				}
				if(buffer[1] != -1){		
					var siz = dataDisp.push( [ dataIndex, buffer[1] ] );
				}
				console.log("op :" + buffer[1] + " : dataIndex : " + dataIndex );
				console.log("disp : " + dataDisp );	
				if( siz > 10 ) {
					dataDisp.shift();
				}
				dataIndex += 0.5;
			}
		});
	}
}

function updatePlot( ) {
	if(scope != null){
		getAjaxResponse();
		scope.updateOptions( { file : dataDisp } );
	}
}

setInterval(updatePlot, 1000);
